summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorge Shapovalov <george@gentoo.org>2007-05-15 14:05:17 +0000
committerGeorge Shapovalov <george@gentoo.org>2007-05-15 14:05:17 +0000
commit08bfe9a094e396bc4b2db79f028d1f2352414258 (patch)
tree827437a1aa76e89bb1b6affb3deafe45ab5b283a /eclass/gnatbuild.eclass
parentClean old versions. (diff)
downloadgentoo-2-08bfe9a094e396bc4b2db79f028d1f2352414258.tar.gz
gentoo-2-08bfe9a094e396bc4b2db79f028d1f2352414258.tar.bz2
gentoo-2-08bfe9a094e396bc4b2db79f028d1f2352414258.zip
added die to problemmatic line to force more informative bug reports
Diffstat (limited to 'eclass/gnatbuild.eclass')
-rw-r--r--eclass/gnatbuild.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/gnatbuild.eclass b/eclass/gnatbuild.eclass
index 58738ec50034..757476a67d8e 100644
--- a/eclass/gnatbuild.eclass
+++ b/eclass/gnatbuild.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.25 2007/04/23 19:35:05 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.26 2007/05/15 14:05:17 george Exp $
#
# Author: George Shapovalov <george@gentoo.org>
# Belongs to: ada herd <ada@gentoo.org>
@@ -575,7 +575,8 @@ gnatbuild_src_install() {
# violation (unlink of gprmake). A siple workaround for now.
cd "${GNATBUILD}"
make DESTDIR=${D} bindir="${D}${BINPATH}" install || die
- mv "${D}${D}${PREFIX}/${CTARGET}" "${D}${PREFIX}"
+ mv "${D}${D}${PREFIX}/${CTARGET}" "${D}${PREFIX}" \
+ || die "please post the fialed mv line to #178140"
rm -rf "${D}var"
#make a convenience info link